Bug 451401

Summary: /dev/rtc | /dev/rtc0 not created at boot time.
Product: [Fedora] Fedora Reporter: chris byrd <byrdca>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 13:58:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description chris byrd 2008-06-13 23:47:13 EDT
Description of problem:

/dev/rtc (and/or) /dev/rtc0 are not created at boot time.  hwclock and
system-config-date are unable to synch/communicate with hardware clock.

NOTE:  Dual boot system with Win XP Pro

Version-Release number of selected component (if applicable):

kernel.x86_64:       2.6.25.6-55.fc9
udev.x86_64:         120-5.20080421git.fc9
initscripts.x86_64:  8.76.2-1 
mkinitrd.x86_64:     6.0.52-2.fc9


How reproducible:
Boot and attempt to set clock 

Steps to Reproduce:
1.  Boot
2.  run system-config-date, when done error stating "failed to synchronize
hardware clock.  This may be because there is no hardware clock accessible e.g.
when running in a virtualized environment."

3. run hwclock --debug --show and receive following output

 hwclock --debug --show
hwclock from util-linux-ng 2.13.1
hwclock: Open of /dev/rtc failed, errno=2: No such file or directory.
No usable clock interface found.
Cannot access the Hardware Clock via any known method.

  
Actual results:


Expected results:


Additional info:

After install noticed clock was wrong.  Saw that "System uses UTC" was checked
even though I unchecked it at boot time so I attempted to clear the checkbox and
save but was met with reported error, did an ls -l and saw no /dev/rtc* device
files.  

cat /proc/devices returns output below

 cat /proc/devices
Character devices:
  1 mem
  4 /dev/vc/0
  4 tty
  4 ttyS
  5 /dev/tty
  5 /dev/console
  5 /dev/ptmx
  7 vcs
 10 misc
 13 input
 14 sound
 21 sg
 29 fb
116 alsa
128 ptm
136 pts
180 usb
189 usb_device
195 nvidia
202 cpu/msr
203 cpu/cpuid
248 firewire
249 usb_endpoint
250 hidraw
251 usbmon
252 bsg
253 pcmcia
254 rtc

Block devices:
  1 ramdisk
  8 sd
  9 md
 11 sr
 65 sd
 66 sd
 67 sd
 68 sd
 69 sd
 70 sd
 71 sd
128 sd
129 sd
130 sd
131 sd
132 sd
133 sd
134 sd
135 sd
253 device-mapper
254 mdp

Also noticed a somewhat different bug dealing with /dev/rtc that may or may not
be relevant  https://bugzilla.redhat.com/show_bug.cgi?id=290731

I can send along my udev rules and or anything else that is needed just let me know.
Comment 1 chris byrd 2008-06-13 23:53:04 EDT
I also note that MAKEDEV was attempted and a device file with a MAJOR/MINOR pair
of 10, 135 was created though it seems from discussion on mailing lists and
forums that most people have /dev/rtc as a symlink to /dev/rtc0 with a
MAJOR/MInor pair of 254, 0.
Comment 2 Harald Hoyer 2009-01-20 06:42:42 EST
still a problem?
Comment 3 chris byrd 2009-01-22 02:13:49 EST
It was a problem for the duration of my Fedora 9 usage.  Unfortunately at the moment I've installed another distro for test/dev purposes on the set of hardware that showed this issue.  Once I'm done I'll be putting Fedora back, if no one has joined it may just be an issue with my hardware, I've noticed that restarts occasionally result in a Kernel panic no matter the distro I boot, so I'm beginning to suspect hardware issues of some sort, though my rtc is back under my current setup.
Comment 4 Bug Zapper 2009-06-09 21:36:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 13:58:33 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.